
Core - Feature # 38732

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Feature # 61839 (New): Include modern Content Elements

Status: Under Review Priority: Must have
Author: Jens Hoffmann Category: 7 Fluid CE
Created: 2012-07-07 Assigned To: Patrick Broens
Updated: 2015-07-24 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Modernize Content Elements
Description

Hi,

lets start to "modernize" Content Elements!
Removing old fashioned once and move
others from spacial to typical page content.

The Install-Wizard of version 6.0 should
handle the upgrade path and parse the old
content elements like "Bulletpoint" or the
"Table" to standard RTE Text content types.

We should also adapt to modern content
usage on todays websites and accept that
a video isn't special content anymore. So
this should be placed in the typical section.

Who could / like to do that?

Greez Jens

new-ce.png

Subtasks:
Task # 68516: Add documentation Under Review
Related issues:
related to TYPO3 CMS Usability Team - Bug # 39518: Page: content element icon... Accepted 2012-08-03
related to Core - Feature # 68300: Get a list of pages based on page uids fro... Under Review 2015-07-17
related to Core - Feature # 66111: Add TemplateRootPaths support to cObject F... Resolved 2015-03-28
blocks Core - Task # 67954: Migrate CTypes text, image and textpic to textmedia Under Review 2015-07-07

History
#1 - 2012-07-08 00:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12702

#2 - 2012-07-08 00:22 - Soren Malling
Missing a "none-green" icon for the media content now shown in "Typical content"

#3 - 2012-07-08 10:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12702

#4 - 2012-07-08 12:07 - Ingo Renner

I'd simply make them all have the same background color...

#5 - 2012-07-08 14:43 - Martin Wiederkehr

Sorry, but in my point of view, removing the table content element is a really bad idea
Why?
    -  A lot of our customers copy paste csv data into the table element as there are no styling issues
    -  As a poweruser, I love the simplicity and the full control over my content within the table element
Solution
    -  Don't remove the content element, but move it to a more inconspicuous place

#6 - 2012-07-09 13:53 - Jens Hoffmann
- File New-Icon-Media-CE.gif added

Could be a by default disabled extension for old-fashion 
guys, who dislike RTEs Power in terms of Tables. There 
you could to for your CSV approach. Currently I aim to 
have a copy/paste direct from Excel to RTE without the 
CSV geek mode. :) We aim for the 90%, not the 10% of
power user - when we talk about a new default solution.

Here is the new Icon for the Media-CE:

#7 - 2012-07-15 14:16 - Felix Kopp
- File icon-inconsistencies.png added

Remark: Also the icons from the "Add content element" wizard and after that within page module differ.
New issue?

icon-inconsistencies.png

#8 - 2012-07-16 11:07 - Jens Hoffmann
Yep a new Issue, please.
But, good point! :)

#9 - 2012-07-16 11:55 - Jens Hoffmann

Beside the "Text /w Img"-Icon, I think this fits quite well.

#10 - 2012-08-03 22:05 - Felix Kopp

http://forge.typo3.org/issues/39518

#11 - 2013-03-04 20:10 - Felix Kopp

What about the content elements?
There is a patch pending to merge the content elements.

#12 - 2013-03-08 12:23 - Jens Hoffmann

But (if I get this right in the 2 issues) the icons are still inconsistent, right?

#13 - 2014-09-25 23:37 - Felix Kopp
- Tracker changed from Suggestion to Feature
- Project changed from TYPO3 CMS Usability Team to Core
- Category deleted (Technical)
- Target version changed from TYPO3 6.0 to 7.0

#14 - 2014-09-25 23:37 - Felix Kopp
- Parent task set to #61839

#15 - 2014-12-19 08:55 - Alexander Opitz
- Status changed from Needs Feedback to New
- Start date deleted (2012-07-07)

#16 - 2014-12-23 19:46 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#17 - 2014-12-31 17:25 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.2 (Frontend)

#18 - 2015-03-26 18:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#19 - 2015-03-27 16:28 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#20 - 2015-03-27 20:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#21 - 2015-03-31 20:32 - Patrick Broens
- Assigned To set to Patrick Broens

#22 - 2015-03-31 23:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#23 - 2015-04-02 17:33 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#24 - 2015-04-02 17:56 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#25 - 2015-04-03 14:29 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#26 - 2015-04-03 15:19 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#27 - 2015-04-03 15:23 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#28 - 2015-04-03 17:42 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258
#29 - 2015-04-03 17:56 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#30 - 2015-04-03 19:36 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#31 - 2015-04-03 19:55 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#32 - 2015-05-01 08:25 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#33 - 2015-05-01 15:40 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#34 - 2015-05-08 15:54 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#35 - 2015-05-28 12:38 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#36 - 2015-05-28 15:14 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#37 - 2015-05-29 12:25 - Gerrit Code Review

Patch set 19 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258
#38 - 2015-06-04 13:41 - Gerrit Code Review

Patch set 20 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#39 - 2015-06-05 23:35 - Gerrit Code Review

Patch set 21 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#40 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

#41 - 2015-07-06 09:43 - Mathias Schreiber
- Category set to 7 Fluid CE

#42 - 2015-07-14 14:46 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#43 - 2015-07-15 14:55 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#44 - 2015-07-15 14:57 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#45 - 2015-07-15 16:25 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#46 - 2015-07-15 16:34 - Gerrit Code Review

Patch set 26 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#47 - 2015-07-15 18:04 - Gerrit Code Review

Patch set 27 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258
#48 - 2015-07-15 20:37 - Gerrit Code Review

Patch set 28 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#49 - 2015-07-15 22:45 - Gerrit Code Review

Patch set 29 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#50 - 2015-07-16 00:00 - Gerrit Code Review

Patch set 30 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#51 - 2015-07-16 08:25 - Gerrit Code Review

Patch set 31 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#52 - 2015-07-17 21:30 - Gerrit Code Review

Patch set 32 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#53 - 2015-07-18 17:49 - Gerrit Code Review

Patch set 33 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#54 - 2015-07-18 17:53 - Gerrit Code Review

Patch set 34 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#55 - 2015-07-18 17:56 - Gerrit Code Review

Patch set 35 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#56 - 2015-07-18 21:24 - Gerrit Code Review

Patch set 36 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258
#57 - 2015-07-20 20:26 - Gerrit Code Review

Patch set 37 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#58 - 2015-07-21 21:22 - Gerrit Code Review

Patch set 38 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#59 - 2015-07-22 08:45 - Gerrit Code Review

Patch set 39 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#60 - 2015-07-24 15:26 - Gerrit Code Review

Patch set 40 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#61 - 2015-07-24 15:30 - Gerrit Code Review

Patch set 41 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#62 - 2015-07-24 15:58 - Gerrit Code Review

Patch set 42 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

#63 - 2015-07-24 17:50 - Gerrit Code Review

Patch set 43 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38258

Files
new-ce.png 56.5 kB 2012-07-07 Jens Hoffmann
